# Class OfferInfo

#### Hierarchy

- unknown
  - OfferInfo

- Defined in src/protobuf/grpc_pb.d.ts:1624
- Defined in src/protobuf/grpc_pb.d.ts:1732

#####
Index

### Constructors

constructor

### Methods

getAmount
getArbitratorSigner
getBaseCurrencyCode
getBuyerSecurityDepositPct
getChallenge
getCounterCurrencyCode
getDate
getDirection
getId
getIsActivated
getIsMyOffer
getIsPrivateOffer
getMakerFeePct
getMarketPriceMarginPct
getMinAmount
getMinVolume
getOwnerNodeAddress
getPaymentAccountId
getPaymentMethodId
getPaymentMethodShortName
getPenaltyFeePct
getPrice
getProtocolVersion
getPubKeyRing
getSellerSecurityDepositPct
getSplitOutputTxFee
getSplitOutputTxHash
getState
getTakerFeePct
getTriggerPrice
getUseMarketBasedPrice
getVersionNr
getVolume
serializeBinary
setAmount
setArbitratorSigner
setBaseCurrencyCode
setBuyerSecurityDepositPct
setChallenge
setCounterCurrencyCode
setDate
setDirection
setId
setIsActivated
setIsMyOffer
setIsPrivateOffer
setMakerFeePct
setMarketPriceMarginPct
setMinAmount
setMinVolume
setOwnerNodeAddress
setPaymentAccountId
setPaymentMethodId
setPaymentMethodShortName
setPenaltyFeePct
setPrice
setProtocolVersion
setPubKeyRing
setSellerSecurityDepositPct
setSplitOutputTxFee
setSplitOutputTxHash
setState
setTakerFeePct
setTriggerPrice
setUseMarketBasedPrice
setVersionNr
setVolume
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new OfferInfo(): OfferInfo

- #### Returns OfferInfo

  Inherited from jspb.Message.constructor

## Methods

### getAmount

- getAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1640

### getArbitratorSigner

- getArbitratorSigner(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1709

### getBaseCurrencyCode

- getBaseCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1679

### getBuyerSecurityDepositPct

- getBuyerSecurityDepositPct(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1655

### getChallenge

- getChallenge(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1721

### getCounterCurrencyCode

- getCounterCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1682

### getDate

- getDate(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1685

### getDirection

- getDirection(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1628

### getId

- getId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1625

### getIsActivated

- getIsActivated(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1691

### getIsMyOffer

- getIsMyOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1694

### getIsPrivateOffer

- getIsPrivateOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1718

### getMakerFeePct

- getMakerFeePct(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1646

### getMarketPriceMarginPct

- getMarketPriceMarginPct(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1637

### getMinAmount

- getMinAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1643

### getMinVolume

- getMinVolume(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1664

### getOwnerNodeAddress

- getOwnerNodeAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1697

### getPaymentAccountId

- getPaymentAccountId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1670

### getPaymentMethodId

- getPaymentMethodId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1673

### getPaymentMethodShortName

- getPaymentMethodShortName(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1676

### getPenaltyFeePct

- getPenaltyFeePct(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1652

### getPrice

- getPrice(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1631

### getProtocolVersion

- getProtocolVersion(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1706

### getPubKeyRing

- getPubKeyRing(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1700

### getSellerSecurityDepositPct

- getSellerSecurityDepositPct(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1658

### getSplitOutputTxFee

- getSplitOutputTxFee(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1715

### getSplitOutputTxHash

- getSplitOutputTxHash(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1712

### getState

- getState(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1688

### getTakerFeePct

- getTakerFeePct(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1649

### getTriggerPrice

- getTriggerPrice(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1667

### getUseMarketBasedPrice

- getUseMarketBasedPrice(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1634

### getVersionNr

- getVersionNr(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1703

### getVolume

- getVolume(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1661

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1724

### setAmount

- setAmount(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1641

### setArbitratorSigner

- setArbitratorSigner(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1710

### setBaseCurrencyCode

- setBaseCurrencyCode(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1680

### setBuyerSecurityDepositPct

- setBuyerSecurityDepositPct(value: number): OfferInfo

- #### Parameters

  - ##### value: number

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1656

### setChallenge

- setChallenge(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1722

### setCounterCurrencyCode

- setCounterCurrencyCode(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1683

### setDate

- setDate(value: number): OfferInfo

- #### Parameters

  - ##### value: number

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1686

### setDirection

- setDirection(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1629

### setId

- setId(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1626

### setIsActivated

- setIsActivated(value: boolean): OfferInfo

- #### Parameters

  - ##### value: boolean

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1692

### setIsMyOffer

- setIsMyOffer(value: boolean): OfferInfo

- #### Parameters

  - ##### value: boolean

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1695

### setIsPrivateOffer

- setIsPrivateOffer(value: boolean): OfferInfo

- #### Parameters

  - ##### value: boolean

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1719

### setMakerFeePct

- setMakerFeePct(value: number): OfferInfo

- #### Parameters

  - ##### value: number

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1647

### setMarketPriceMarginPct

- setMarketPriceMarginPct(value: number): OfferInfo

- #### Parameters

  - ##### value: number

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1638

### setMinAmount

- setMinAmount(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1644

### setMinVolume

- setMinVolume(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1665

### setOwnerNodeAddress

- setOwnerNodeAddress(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1698

### setPaymentAccountId

- setPaymentAccountId(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1671

### setPaymentMethodId

- setPaymentMethodId(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1674

### setPaymentMethodShortName

- setPaymentMethodShortName(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1677

### setPenaltyFeePct

- setPenaltyFeePct(value: number): OfferInfo

- #### Parameters

  - ##### value: number

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1653

### setPrice

- setPrice(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1632

### setProtocolVersion

- setProtocolVersion(value: number): OfferInfo

- #### Parameters

  - ##### value: number

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1707

### setPubKeyRing

- setPubKeyRing(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1701

### setSellerSecurityDepositPct

- setSellerSecurityDepositPct(value: number): OfferInfo

- #### Parameters

  - ##### value: number

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1659

### setSplitOutputTxFee

- setSplitOutputTxFee(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1716

### setSplitOutputTxHash

- setSplitOutputTxHash(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1713

### setState

- setState(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1689

### setTakerFeePct

- setTakerFeePct(value: number): OfferInfo

- #### Parameters

  - ##### value: number

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1650

### setTriggerPrice

- setTriggerPrice(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1668

### setUseMarketBasedPrice

- setUseMarketBasedPrice(value: boolean): OfferInfo

- #### Parameters

  - ##### value: boolean

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1635

### setVersionNr

- setVersionNr(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1704

### setVolume

- setVolume(value: string): OfferInfo

- #### Parameters

  - ##### value: string

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1662

### toObject

- toObject(includeInstance?: boolean): OfferInfo.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns OfferInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1725

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): OfferInfo

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1728

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OfferInfo, reader: BinaryReader): OfferInfo

- #### Parameters

  - ##### message: OfferInfo

  - ##### reader: BinaryReader

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1729

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: OfferInfo, writer: BinaryWriter): void

- #### Parameters

  - ##### message: OfferInfo

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1727

### `Static` toObject

- toObject(includeInstance: boolean, msg: OfferInfo): OfferInfo.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OfferInfo

  #### Returns OfferInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1726

Generated using TypeDoc